Bug 475996 - Avahi should export public key for SSH service
Avahi should export public key for SSH service
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 475994
  Show dependency treegraph
 
Reported: 2008-12-11 09:11 EST by Bastien Nocera
Modified: 2010-06-28 06:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:56:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2008-12-11 09:11:37 EST
Avahi should set the TXT record for the SSH service it exports to include the public key of the SSH server (in a manner compatible with MacOS X, which does the same thing).
Comment 1 Lennart Poettering 2008-12-11 14:48:16 EST
Uh. This is not the appropriate place to report this.

To do this properly we should patch OpenSSH to do the Avahi registration itself. But I fear the OpenSSH would not be willing to merge such a patch. Right now we do mDNS/DNS-SD publishing of the SSH service by dropping a static service definition file in /etc/avahi. It's just an xml file. Including the SSH server key in that file automatically is not really possible.

I am reassigning this now to ssh, let's see what the ssh maintainers have to say about this.
Comment 2 Tomas Mraz 2008-12-11 15:09:58 EST
I don't know much about the potential avahi registration code, that means what dependencies it would bring to openssh and so on.

But I am really afraid this code would not be accepted upstream especially if some of the dependencies would be GPL licensed.
Comment 3 Lennart Poettering 2008-12-12 12:57:54 EST
It would pull in libavahi-client which is LGPL. la-c pulls in D-Bus. Which is GPL & Academic.

Also, that dependency would be completely optional.

I'd expect a refusal however due to more fundamental issues. i.e. mDNS/DNS-SD is this unreliable, untrusted protocol that is used to spam the local network about the existance of a service. Security people tend to stay away from technology like that and normally don't see the usefulness of this. 

Yes, i know, I am not selling this very well right now.... Let's hope I am mistaken.
Comment 4 Fedora Admin XMLRPC Client 2009-03-10 05:20:31 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2009-03-10 06:17:40 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2009-03-10 06:19:37 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Bug Zapper 2009-06-09 06:14:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jan F. Chadima 2009-09-24 04:51:48 EDT
This bug already has been fixed by static avahi registration.
Comment 9 Bastien Nocera 2009-09-25 06:11:02 EDT
Not sure what you mean by that, but key certainly isn't exported using openssh-5.2p1-28.fc12.x86_64:
$ avahi-browse -ar
= eth0 IPv4 cookie                                        SSH Remote Terminal  local
   hostname = [cookie.local]
   address = [192.168.1.140]
   port = [22]
   txt = []
Comment 10 Jan F. Chadima 2009-10-18 08:39:05 EDT
It is exactly the same as MacOS exported.
Comment 11 Bug Zapper 2010-04-27 08:30:44 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Jan F. Chadima 2010-06-07 04:29:42 EDT
This may or may not be a part of the avahi code, but it can't be done in openssh. There are no means to provide it.
Comment 13 Bug Zapper 2010-06-28 06:56:18 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.